MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
StaticSocketAddress Class Reference

An OO wrapper for struct sockaddr_storage. More...

`#include <StaticSocketAddress.hxx>`

## Public Types
typedef SocketAddress::size_type | size_type

## Public Member Functions
| StaticSocketAddress ()=default
StaticSocketAddress & | operator= (SocketAddress other)
| operator SocketAddress () const
struct sockaddr * | GetAddress ()
const struct sockaddr * | GetAddress () const
constexpr size_type | GetCapacity () const
size_type | GetSize () const
void | SetSize (size_type _size)
int | GetFamily () const
bool | IsDefined () const
void | Clear ()
gcc_pure bool | operator== (SocketAddress other) const
bool | operator!= (SocketAddress &other) const

## Detailed Description

An OO wrapper for struct sockaddr_storage.

Definition at line 41 of file StaticSocketAddress.hxx.

## Member Typedef Documentation

typedef SocketAddress::size_type StaticSocketAddress::size_type

Definition at line 43 of file StaticSocketAddress.hxx.

## Constructor & Destructor Documentation

StaticSocketAddress::StaticSocketAddress | ( |  | ) |
| default

## Member Function Documentation

void StaticSocketAddress::Clear | ( |  | ) |
| inline

Definition at line 90 of file StaticSocketAddress.hxx.

struct sockaddr* StaticSocketAddress::GetAddress | ( |  | ) |
| inline

Definition at line 59 of file StaticSocketAddress.hxx.

const struct sockaddr* StaticSocketAddress::GetAddress | ( |  | ) | const
| inline

Definition at line 63 of file StaticSocketAddress.hxx.

constexpr size_type StaticSocketAddress::GetCapacity | ( |  | ) | const
| inline

Definition at line 67 of file StaticSocketAddress.hxx.

int StaticSocketAddress::GetFamily | ( |  | ) | const
| inline

Definition at line 82 of file StaticSocketAddress.hxx.

size_type StaticSocketAddress::GetSize | ( |  | ) | const
| inline

Definition at line 71 of file StaticSocketAddress.hxx.

bool StaticSocketAddress::IsDefined | ( |  | ) | const
| inline

Definition at line 86 of file StaticSocketAddress.hxx.

StaticSocketAddress::operator SocketAddress | ( |  | ) | const
| inline

Definition at line 54 of file StaticSocketAddress.hxx.

bool StaticSocketAddress::operator!= | ( | SocketAddress & | other | ) | const
| inline

Definition at line 99 of file StaticSocketAddress.hxx.

StaticSocketAddress& StaticSocketAddress::operator= | ( | SocketAddress | other | ) |

gcc_pure bool StaticSocketAddress::operator== | ( | SocketAddress | other | ) | const
| inline

Definition at line 95 of file StaticSocketAddress.hxx.

void StaticSocketAddress::SetSize | ( | size_type | _size | ) |
| inline

Definition at line 75 of file StaticSocketAddress.hxx.

The documentation for this class was generated from the following file:

- net/StaticSocketAddress.hxx